Attribute VB_Name = "ModAlign"
Option Explicit

Public Sub CenterChildToParent(Parent As Frame, Child As Control)
    Child.Left = (Parent.Width - Child.Width) / 2
    Child.Top = (Parent.Height - Child.Height) / 2
End Sub


Public Sub SetFormPos(f As Form)
    '***********************************************
    'Procedure: SetFormPos
    '
    'The procedure sets the position of
    'a form to the Registry
    
    'Arugments:
    'f as Form:  Any Visual Basic Form
    '***********************************************
    Dim FormLeft$, FormTop$
    'Setup the values to save from the
    'passed in form
    FormLeft$ = CStr(f.Left)
    FormTop$ = CStr(f.Top)
    'Save the settings to the Registry
    Call SaveSetting(App.Title, "FormInit", "Left", FormLeft$)
    Call SaveSetting(App.Title, "FormInit", "Top", FormTop$)
End Sub
Public Sub GetFormPos(f As Form, LeftPos As Integer, TopPos As Integer)
    '***********************************************
    'Procedure: GetFormPos
    '
    'The procedure gets the last entered position of
    'a form from the Registry
    
    'Arugments:
    'f as Form:  Any Visual Basic Form
    '
    ' LeftPos As Integer: The returned value from the Reistry
    '                     of the Left property.
    '                     If no value exists in the Registry,
    '                     LeftPos is the Left value of the form centered.
    '
    ' TopPos As Integer:  The returned value from the Reistry
    '                     of the Top property.
    '                     If no value exists in the Registry,
    '                     TopPos is the Top value of the form centered.
    
    'NOTE: This turn the visible property of the Form to FALSE.
                          
    '***********************************************
    Dim l%, t%, DefaultLeft$, DefaultTop$
    'Center this form. You may not use this. but in
    'cas there is no return from the Registy, you can
    'position the form in the center of the screen.
    f.Visible = False
    'Since, by default the form is invisible, you will not
    'confuse the user.
    Call CenterForm(f)
    DefaultLeft$ = CStr(f.Left)
    DefaultTop$ = CStr(f.Top)
    
    l% = CInt(GetSetting(App.Title, "FormInit", "Left", DefaultLeft$))
    t% = CInt(GetSetting(App.Title, "FormInit", "Top", DefaultTop$))
    'Pass the values out of the Sub
    LeftPos = l%
    TopPos = t%
End Sub
Public Sub CenterForm(f As Form)
    '***********************************************
    'Procedure: CenterForm
    '
    'The procedure centers a form to the screen of any
    'given system.
    
    'Arugments: f as Form
    '
    'Any Visual Basic Form
    '***********************************************
    f.Left = (Screen.Width - f.Width) / 2
    f.Top = (Screen.Height - f.Height) / 2
End Sub
