VERSION 5.00
Begin VB.Form frmDynamic 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Dynanic Controls"
   ClientHeight    =   3795
   ClientLeft      =   2100
   ClientTop       =   1800
   ClientWidth     =   6390
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3795
   ScaleWidth      =   6390
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   495
      Index           =   0
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   975
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu itmLayout 
         Caption         =   "Layout"
         Begin VB.Menu itmVertical 
            Caption         =   "&Vertical"
         End
         Begin VB.Menu itmHorizontal 
            Caption         =   "Horizontal"
         End
      End
      Begin VB.Menu SepOne 
         Caption         =   "-"
      End
      Begin VB.Menu itmExit 
         Caption         =   "E&xit"
      End
   End
End
Attribute VB_Name = "frmDynamic"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public gNumOfButtons%

Public Sub LoadButtons(NumOfButtons As Integer)
    '***********************************************
    'Procedure: LoadButtons
    '
    'The procedure dynamically loads buttons into a
    'conrol array
    
    'Arugments: NumOfButtons As Integer  , the number of
    'buttons you want to have on the form. Not the number
    'of buttons to load.
    '
    '***********************************************
    Dim i%
    For i% = 1 To NumOfButtons
        Load Command1(i)
    Next i%
End Sub

Public Sub SetButtonsVert(NumOfButtons As Integer)
    '***********************************************
    'Procedure: SetButtonsVert
    '
    'The procedure dynamically arranges a set of buttons
    'from a control array into a vertical line. It
    'also saves the alignment to the registry using the
    'SaveSetting Registry procedure from Visual Basic
    
    'Arugments: NumOfButtons As Integer
    '
    '
    '***********************************************
    Dim i%
     'Iterate through the control array, doing a value check
     'NumOfButtons.
     If NumOfButtons > 0 Then
        'Iterate through the controls
        For i% = 1 To NumOfButtons
            'Align the Left of the control to the Left of
            'the previous control.
            Command1(i%).Left = Command1(i% - 1).Left
            'Set the control directly below the previous
            'control
            Command1(i%).Top = Command1(i% - 1).Top + _
                Command1(i% - 1).Height
            'Set the control visible to true
            Command1(i%).Visible = True
        Next i%
        'Enable the "Horizontal" menu item
        itmHorizontal.Enabled = True
        'Disable the "Vertical" menu item"
        itmVertical.Enabled = False
        'Let the Registry know that the buttons are
        'now set vertically ("V"), so if can arrange
        'the controls this way on startup.
        Call SaveSetting(App.Title, "Orientation", "Buttons", "V")
    End If
End Sub

Public Sub SetButtonsHorz(NumOfButtons As Integer)
    '***********************************************
    'Procedure: SetButtonsHorz
    '
    'The procedure dynamically arranges a set of buttons
    'from a control array into a horizontal line. It
    'also saves the alignment to the registry using the
    'SaveSetting Registry procedure from Visual Basic
    
    'Arugments: NumOfButtons As Integer
    '
    '
    '***********************************************
    Dim i%
     'Iterate through the control array, doing a value check
     'NumOfButtons.
     If NumOfButtons > 0 Then
        For i% = 1 To NumOfButtons
            'Set the control to the top of the previous one
            Command1(i%).Top = Command1(i% - 1).Top
            'Set the control to the direct right of the previous one
            Command1(i%).Left = Command1(i% - 1).Left + Command1(i% - 1).Width
            'Make it visible
            Command1(i%).Visible = True
        Next i%
        'Disable the "Horizontal" menu item
        itmHorizontal.Enabled = False
        'Enable the "Vertical" menu item"
        itmVertical.Enabled = True
        'Let the Registry know that the buttons are
        'now set horizontally ("H"), so if can arrange
        'the controls this way on startup.
        Call SaveSetting(App.Title, "Orientation", "Buttons", "H")
    End If
End Sub



Private Sub Form_Load()
    Dim Orientation$
    
    'Set how many buttons you want to display
    'including the one already on the form.
    gNumOfButtons = 5
    
    'Load the buttons
    Call LoadButtons(gNumOfButtons)
    
    'Get the orientation setting from the Registry
    'using the Visual Basic GettSetting function.
    Orientation$ = GetSetting(App.Title, "Orientation", "Buttons", "V")
    
    'Set the orientation of the buttons
    If Orientation$ = "V" Then
        Call SetButtonsVert(gNumOfButtons)
    Else
        Call SetButtonsHorz(gNumOfButtons)
    End If
        
    'Set the form Caption
    frmDynamic.Caption = "Dynamic Control Generation Demo"
        
    'Center the form using a custom function
    Call CenterForm(Me)
End Sub


Private Sub itmExit_Click()
    End
End Sub

Private Sub itmHorizontal_Click()
    Call SetButtonsHorz(gNumOfButtons)
End Sub

Private Sub itmVertical_Click()
    Call SetButtonsVert(gNumOfButtons)
End Sub


